Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class AbstractProcessInstanceMarshaller

    java.lang.Object
      org.jbpm.marshalling.impl.AbstractProcessInstanceMarshaller

All Implemented Interfaces:
  ProcessInstanceMarshaller

Direct Known Subclasses:
  RuleFlowProcessInstanceMarshaller

    public abstract class AbstractProcessInstanceMarshaller

extends Object
implements ProcessInstanceMarshaller

Default implementation of a process instance marshaller.

Constructor Summary
`AbstractProcessInstanceMarshaller()`

Method Summary
`protected abstract WorkflowProcessInstanceImpl` | `createProcessInstance()`
`NodeInstance` | `readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context, NodeInstanceContainer nodeInstanceContainer, WorkflowProcessInstance processInstance)`
`protected NodeInstanceImpl` | `readNodeInstanceContent(int nodeType, ObjectInputStream stream, org.drools.core.marshalling.impl.MarshallerReaderContext context, WorkflowProcessInstance processInstance)`
`ProcessInstance` | `readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`Object` | `writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, NodeInstance nodeInstance)`
`protected void` | `writeNodeInstanceContent(ObjectOutputStream stream, NodeInstance nodeInstance, org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`Object` | `writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, ProcessInstance processInstance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProcessInstanceMarshaller

    public AbstractProcessInstanceMarshaller()

Method Detail

### writeProcessInstance

    public Object writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                       ProcessInstance processInstance)
                                throws IOException

  Specified by:
    `writeProcessInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### writeNodeInstance

    public Object writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                    NodeInstance nodeInstance)
                             throws IOException

  Specified by:
    `writeNodeInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### writeNodeInstanceContent

    protected void writeNodeInstanceContent(ObjectOutputStream stream,
                                            NodeInstance nodeInstance,
                                            org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                     throws IOException

  Throws:
    `IOException`

### readProcessInstance

    public ProcessInstance readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                        throws IOException

  Specified by:
    `readProcessInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### createProcessInstance

    protected abstract WorkflowProcessInstanceImpl createProcessInstance()

### readNodeInstance

    public NodeInstance readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                         NodeInstanceContainer nodeInstanceContainer,
                                         WorkflowProcessInstance processInstance)
                                  throws IOException

  Specified by:
    `readNodeInstance` in interface `ProcessInstanceMarshaller`
  Throws:
    `IOException`

### readNodeInstanceContent

    protected NodeInstanceImpl readNodeInstanceContent(int nodeType,
                                                       ObjectInputStream stream,
                                                       org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                       WorkflowProcessInstance processInstance)
                                                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.